cls
@echo off
 
cd /D %~dp0
COLOR 3F
echo --------------------------------------------------------------------------
echo - HEX-Transfer AiO-MEGA                                                        
echo - Idee: www.arduinoclub.de                                                     
echo --------------------------------------------------------------------------
echo - Die Firmware Deiner AiO-MEGA wird angepasst.                         
echo - Achtung! - Die aktuelle Programmierung ueberschrieben.  
echo - Version 15.6.2019 (ohne Spezialfunktionen!)              
echo --------------------------------------------------------------------------
echo.
 
echo.
echo An welchem Port ist die AiO angeschlossen ?
echo.
::Eingabe des COM-Port verlangen
set /p COM=COM:

set BPS=115200
echo.

echo Welche AiO-Version liegt vor?
echo.
echo - 1. AiO Mega Relais/Funk - Bluetooth 
echo - 2. AiO Mega Relais/Funk - UDP
echo - 3. AiO Mega Relais/Funk - RTC (RealtimeClock) - Bluetooth
echo - 4. AiO Mega Relais/Funk - RTC (RealtimeClock) - UDP
echo - 5. AiO Mega individuell

::Eingabe einer Version verlangen
set /p MIC= Version Nummer:

echo.


if %MIC% == 1  set HEXFILE=AiO_MEGA_12_06_2019_RFBT.ino.hex
if %MIC% == 2  set HEXFILE=AiO_MEGA_12_06_2019_RFUDP.ino.hex
if %MIC% == 3  set HEXFILE=AiO_MEGA_12_06_2019_RFBT_RTC.ino.hex
if %MIC% == 4  set HEXFILE=AiO_MEGA_12_06_2019_RFUDP_RTC.ino.hex
if %MIC% == 5  set HEXFILE=AiO_MEGA_individuell.ino.hex

set CONTROLLER=atmega2560 
set PROGRAMMER=wiring

echo.
echo Transfer wirklich starten ?
set /p OVERWRITE= (j/n) :
if "%OVERWRITE%"=="n" goto abort
 
echo.
echo.
echo Programmierung wird gestartet. Bitte warten...
echo --------------------------------------------------------------------------
echo.
 
cd avr 
 
::genaue Parameter Erklaerung bekommt man mit dem Aufruf : avrdude -? 
@avrdude -p%CONTROLLER% -P \\.\COM%COM% -b %BPS% -C avrdude.conf -c %PROGRAMMER%  -Uflash:w:hex/%HEXFILE% -D
 
::Wenn was schief laeuft erzeugt AVRDUDE einen Error > 0.
if %ERRORLEVEL%==0 goto end
echo --------------------------------------------------------------------------
echo Fehler !
echo Kontrolliere die : Com-Port Nummer,
echo Baudrate, USB Verbindung.
echo.
echo Starte dann das Update neu.
echo --------------------------------------------------------------------------
echo.
pause
exit
 
:end
echo.
echo --------------------------------------------------------------------------
echo Programmierung erfolgreich !
echo --------------------------------------------------------------------------
echo.
pause
exit
 
:abort
echo.
echo --------------------------------------------------------------------------
echo Programmierung abgebrochen !
echo --------------------------------------------------------------------------
echo.
pause
exit

pause
exit

